{% load static %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>Creación de Usuario</title>
        <link rel="icon" href="{% static 'dist/img/smartsoft1.ico' %}">
        <!-- Font Awesome Icons -->
        <link rel="stylesheet"  href="{% static 'plugins/fontawesome-free/css/all.min.css' %}">
        <!-- Theme style -->
        <link rel="stylesheet"  href="{% static 'dist/css/adminlte.min.css' %}">
        <!-- Ionicons -->
        <link rel="stylesheet"  href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
        <!-- Tempusdominus Bbootstrap 4 -->
        <link rel="stylesheet"  href="{% static 'plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css' %}">
        <!-- overlayScrollbars -->
        <link rel="stylesheet" href="{% static 'plugins/overlayScrollbars/css/OverlayScrollbars.min.css' %}">
        <!-- Google Font: Source Sans Pro -->
        <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
        <!-- Toastr -->
        <link rel="stylesheet" href="{% static 'plugins/toastr/toastr.min.css' %}">
        <!-- DataTables -->
        <link rel="stylesheet" href="{% static 'plugins/datatables-bs4/css/dataTables.bootstrap4.min.css' %}">
        <link rel="stylesheet" href="{% static 'plugins/datatables-responsive/css/responsive.bootstrap4.min.css' %}">
        <!-- Jquery ui -->
        <link rel="stylesheet"  href="{% static 'plugins/jquery-ui/jquery-ui.min.css' %}">
        <!-- Select2 -->
        <link rel="stylesheet" type="text/css" href="{% static 'plugins/select2/css/select2.min.css' %}">
        <link rel="stylesheet" type="text/css" href="{% static 'plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css' %}">
        <link rel="stylesheet"  href="{% static 'plugins/bootstrap-touchspin/jquery.bootstrap-touchspin.css' %}">
        <!-- daterange picker -->
        <link rel="stylesheet" href="{% static 'plugins/daterangepicker/daterangepicker.css' %}">
        <!-- Jquery Confirm -->
        <link rel="stylesheet" href="{% static 'plugins/jquery-confirm/jquery-confirm.min.css' %}">
    </head>   
    <body class="hold-transition sidebar-mini sidebar-collapse">
        
        <div class="wrapper">
            <!-- Navbar -->
            {% include "views/default/header.html" %}
            <!-- /.navbar -->
            <!-- Main Sidebar Container -->
            {% include "views/default/menu.html" %}
            <div class="content-wrapper">
                <div class="content-header">
                </div>
                <section class="content">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-6 offset-md-3 mr-auto ml-auto">               
                                <!-- Default box -->
                                <form action="" method="post" class="" enctype="multipart/form-data" autocomplete="off"> 
                                    <div class="card card-info mb-4">
                                        <div class="card-header">
                                            <h3 class="m-0 font-weight-bold card-title">Formulario de Usuario</h3>
                                        </div>
                                        <div class="card-body">
                                            <div class="form-group">
                                                {% csrf_token %}
                                                
                                                <div class="row form-group">
                                                    <div class="col col-md-12">
                                                        <label>Nombre de usuario:</label>
                                                        {{ form.username }}
                                                        <br>
                                                        <label>Contraseña:</label>
                                                        {{ form.password }}    
                                                        <br>
                                                        <label>Imagen:</label>
                                                        {{ form.image }}
                                                        <br>
                                                        <label>Perfil:</label>
                                                        {{ form.user_profile }}
                                                        <br>
        
                                                        {{ form.is_active.as_hidden }}
                                                        {{ form.last_login.as_hidden }}
                                                        {{ form.date_joined.as_hidden }}
                                                    </div>                  
                                                </div>  
                                                
                                                                                                                               
                                            </div>
                                        </div>
                                        <!-- /.card-body -->
                                        <div class="card-footer">
                                            <a href="#"><button type="button" class="btn btn-secondary">Cancelar</button></a>
                                            <button type="submit" class="btn btn-success float-right">Agregar</button>
                                        </div>
                                        <!-- /.card-footer-->
                                    </div>
                                    <!-- /.card -->
                                </form>
                            </div>  
                        </div> 
                    </div>  
                </section>
            </div> 
            {% include "views/default/footer.html" %} 
        </div>
        <!-- jQuery -->
        <script src="{% static 'plugins/jquery/jquery.min.js' %}"></script>
        <!-- jQuery UI 1.11.4 -->
        <script src="{% static 'plugins/jquery-ui/jquery-ui.min.js' %}"></script>
        <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
        <script>
        $.widget.bridge('uibutton', $.ui.button)
        </script>    
        <script src="{% static 'plugins/moment/moment-with-locales.js' %}"></script>
        <script src="{% static 'plugins/bootstrap-touchspin/jquery.bootstrap-touchspin.js' %}"></script>
        <!-- Bootstrap 4 -->
        <script src="{% static 'plugins/bootstrap/js/bootstrap.bundle.min.js' %}"></script>

        <!-- jQuery Knob Chart -->
        <script src="{% static 'plugins/jquery-knob/jquery.knob.min.js' %}"></script>
        <!-- Tempusdominus Bootstrap 4 -->
        <script src="{% static 'plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js' %}"></script>
        <!-- overlayScrollbars -->
        <script src="{% static 'plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js' %}"></script>
        <!-- AdminLTE App -->
        <script src="{% static 'dist/js/adminlte.js' %}"></script>
        <!-- AdminLTE for demo purposes -->
        <script src="{% static 'dist/js/demo.js' %}"></script>
        <!-- DataTables -->
        <script src="{% static 'plugins/datatables/jquery.dataTables.js' %}"></script>
        <script src="{% static 'plugins/datatables-bs4/js/dataTables.bootstrap4.min.js' %}"></script>
        <script src="{% static 'plugins/datatables-responsive/js/dataTables.responsive.min.js' %}"></script>
        <script src="{% static 'plugins/datatables-responsive/js/responsive.bootstrap4.min.js' %}"></script>
        <!-- DataTables Buttons JavaScript -->
        <script src="{% static 'plugins/datatables/dataTables.buttons.min.js' %}"></script>
        <script src="{% static 'plugins/datatables/buttons.print.min.js' %}"></script>
        <script src="{% static 'plugins/datatables/buttons.html5.min.js' %}"></script>
        <script src="{% static 'plugins/datatables/ajax/jszip.min.js' %}"></script>
        <script src="{% static 'plugins/datatables/ajax/pdfmake.min.js' %}"></script>
        <script src="{% static 'plugins/datatables/ajax/vfs_fonts.js' %}"></script>
        <!-- Jquery Confirm -->
        <script src="{% static 'plugins/jquery-confirm/jquery-confirm.min.js' %}"></script>
        <!-- Toastr -->
        <script src="{% static 'plugins/toastr/toastr.min.js' %}"></script>
        <!-- page script -->
        <script src="{% static 'dist/js/pages/categoria.js' %}"></script>
        <!-- SweetAlert -->
        <script src="{% static 'plugins/sweetalert2/sweetalert2.all.min.js' %}"></script>
        <!-- Select2 -->
        <script src="{% static 'plugins/select2/js/select2.min.js' %}"></script>
        <script src="{% static 'plugins/select2/js/i18n/es.js' %}"></script>
        <!-- date-range-picker -->
        <script src="{% static 'plugins/daterangepicker/daterangepicker.js' %}"></script>
        <script src="{% static 'dist/js/base.js' %}"></script>
            <!-- SlimScroll -->
        <script src="{% static 'plugins/slimScroll/jquery.slimscroll.min.js' %}"></script>
        <!-- FastClick -->
        <script src="{% static 'plugins/fastclick/fastclick.min.js' %}"></script>
        <!-- AdminLTE App -->
        <script src="{% static 'dist/js/app.min.js' %}"></script>
        <script src="{% static 'dist/js/create.js' %}"></script>
        <script>
            {% if form.errors %}
                var errors = '';
                {% for field in form %}
                    {% for error in field.errors %}
                        errors += '{{ error }}\n';
                    {% endfor %}
                {% endfor %}
                {% for error in form.non_field_errors %}
                    errors += '{{ error }}\n';
                {% endfor %}
                Swal.fire({
                    icon: 'error',
                    title: 'Error!',
                    text: errors,
                });
            {% endif %}
        </script>
          <!-- Script para cambiar idioma de dataTables -->

    </body>
</html>
